Subject: Re: [PATCH] netconsole: fix BUG during net device "upping"

From: Matt Mackall <[email-masked]>
Date: Sun, 22 Mar 2009 20:20:58 -0500

On Sun, 2009-03-22 at 12:02 +0100, Marcin Slusarz wrote:
> When ndo_open (eg skge_up) function printks something, netconsole decides
> it can use this device because it checks state only (netif_running) which is
> set before ndo_open. Check device flags too.

That's fairly unfortunate semantics for netif_running. But if Dave
agrees that it's reasonable for that to be set to true at this point in
time, then I guess we'll go with it.

-- 
http://selenic.com : development and support for Mercurial and Linux